<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cy__secure__sockets__error_8h" kind="file" language="C++">
    <compoundname>cy_secure_sockets_error.h</compoundname>
    <includes local="yes">cy_result.h</includes>
    <includes local="yes">cy_result_mw.h</includes>
    <includedby local="yes" refid="cy__secure__sockets_8h">cy_secure_sockets.h</includedby>
    <incdepgraph>
      <node id="4">
        <label>cy_result.h</label>
      </node>
      <node id="3">
        <label>cy_secure_sockets_error.h</label>
        <link refid="cy__secure__sockets__error_8h" />
        <childnode refid="4" relation="include">
        </childnode>
        <childnode refid="5" relation="include">
        </childnode>
      </node>
      <node id="5">
        <label>cy_result_mw.h</label>
      </node>
    </incdepgraph>
      <sectiondef kind="define">
      <memberdef id="group__group__secure__sockets__results_1ga47a0ff45a7680dc488de94c559f1cb31" kind="define" prot="public" static="no">
        <name>CY_RSLT_SECURE_SOCKETS_ERR_BASE</name>
        <initializer>CY_RSLT_CREATE(CY_RSLT_TYPE_ERROR, CY_RSLT_MODULE_SECURE_SOCKETS_BASE, 0)</initializer>
        <briefdescription>
<para>Secure Sockets error code base. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets_error.h" bodystart="57" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets_error.h" line="57" />
      </memberdef>
      <memberdef id="group__group__secure__sockets__results_1gae7076deaa42ba4f0c9e80d6d807ecdea" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_SECURE_SOCKETS_TCPIP_ERROR</name>
        <initializer>( <ref kindref="member" refid="group__group__secure__sockets__results_1ga47a0ff45a7680dc488de94c559f1cb31">CY_RSLT_SECURE_SOCKETS_ERR_BASE</ref> + 1 )</initializer>
        <briefdescription>
<para>Generic TCP/IP error. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets_error.h" bodystart="60" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets_error.h" line="60" />
      </memberdef>
      <memberdef id="group__group__secure__sockets__results_1ga11aea8ad5dfd9ea5de446b30d6db82d6" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_SECURE_SOCKETS_BADARG</name>
        <initializer>( <ref kindref="member" refid="group__group__secure__sockets__results_1ga47a0ff45a7680dc488de94c559f1cb31">CY_RSLT_SECURE_SOCKETS_ERR_BASE</ref> + 2 )</initializer>
        <briefdescription>
<para>Invalid argument. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets_error.h" bodystart="62" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets_error.h" line="62" />
      </memberdef>
      <memberdef id="group__group__secure__sockets__results_1ga7631cf4765aea807ee7eef6628ea962c" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_SECURE_SOCKETS_NOMEM</name>
        <initializer>( <ref kindref="member" refid="group__group__secure__sockets__results_1ga47a0ff45a7680dc488de94c559f1cb31">CY_RSLT_SECURE_SOCKETS_ERR_BASE</ref> + 3 )</initializer>
        <briefdescription>
<para>Out of resources. </para>        </briefdescription>
        <detaileddescription>
<para>This error is returned if the system goes out of memory, or network stack resources such as network buffers or the number of connections used exceeds the configured value. To debug this error, check network stack configurations based on the API that is returning this error. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets_error.h" bodystart="67" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets_error.h" line="67" />
      </memberdef>
      <memberdef id="group__group__secure__sockets__results_1ga76b8e494a5c48cb3fb8d84a9a2f200ba" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_SECURE_SOCKETS_NOT_CONNECTED</name>
        <initializer>( <ref kindref="member" refid="group__group__secure__sockets__results_1ga47a0ff45a7680dc488de94c559f1cb31">CY_RSLT_SECURE_SOCKETS_ERR_BASE</ref> + 4 )</initializer>
        <briefdescription>
<para>Socket not connected. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets_error.h" bodystart="69" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets_error.h" line="69" />
      </memberdef>
      <memberdef id="group__group__secure__sockets__results_1gaae6a87e885601b640fba5752a8ec29b4" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_SECURE_SOCKETS_CLOSED</name>
        <initializer>( <ref kindref="member" refid="group__group__secure__sockets__results_1ga47a0ff45a7680dc488de94c559f1cb31">CY_RSLT_SECURE_SOCKETS_ERR_BASE</ref> + 5 )</initializer>
        <briefdescription>
<para>Socket closed. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets_error.h" bodystart="71" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets_error.h" line="71" />
      </memberdef>
      <memberdef id="group__group__secure__sockets__results_1ga78e2f95d77864f1b4c1511246411b593" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_SECURE_SOCKETS_ALREADY_CONNECTED</name>
        <initializer>( <ref kindref="member" refid="group__group__secure__sockets__results_1ga47a0ff45a7680dc488de94c559f1cb31">CY_RSLT_SECURE_SOCKETS_ERR_BASE</ref> + 6 )</initializer>
        <briefdescription>
<para>Socket already connected. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets_error.h" bodystart="73" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets_error.h" line="73" />
      </memberdef>
      <memberdef id="group__group__secure__sockets__results_1gadbf2f8f83f4bd800effdd3e58a266ceb" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_SECURE_SOCKETS_PROTOCOL_NOT_SUPPORTED</name>
        <initializer>( <ref kindref="member" refid="group__group__secure__sockets__results_1ga47a0ff45a7680dc488de94c559f1cb31">CY_RSLT_SECURE_SOCKETS_ERR_BASE</ref> + 7 )</initializer>
        <briefdescription>
<para>Protocol not supported. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets_error.h" bodystart="75" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets_error.h" line="75" />
      </memberdef>
      <memberdef id="group__group__secure__sockets__results_1ga2a89a78e3b207e09012dd0c9ed8e49dd" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_SECURE_SOCKETS_OPTION_NOT_SUPPORTED</name>
        <initializer>( <ref kindref="member" refid="group__group__secure__sockets__results_1ga47a0ff45a7680dc488de94c559f1cb31">CY_RSLT_SECURE_SOCKETS_ERR_BASE</ref> + 8 )</initializer>
        <briefdescription>
<para>Socket option not supported error. </para>        </briefdescription>
        <detaileddescription>
<para>Secure Socket Layer returns this error code if the feature is not enabled in lwipopts.h. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets_error.h" bodystart="80" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets_error.h" line="80" />
      </memberdef>
      <memberdef id="group__group__secure__sockets__results_1gafec24692af0732924ead22a68118a926" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_SECURE_SOCKETS_INVALID_OPTION</name>
        <initializer>( <ref kindref="member" refid="group__group__secure__sockets__results_1ga47a0ff45a7680dc488de94c559f1cb31">CY_RSLT_SECURE_SOCKETS_ERR_BASE</ref> + 9 )</initializer>
        <briefdescription>
<para>Invalid option. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets_error.h" bodystart="82" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets_error.h" line="82" />
      </memberdef>
      <memberdef id="group__group__secure__sockets__results_1gadc88f329a4d4bd26dc57e5a613c12a4f" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_SECURE_SOCKETS_NOT_LISTENING</name>
        <initializer>( <ref kindref="member" refid="group__group__secure__sockets__results_1ga47a0ff45a7680dc488de94c559f1cb31">CY_RSLT_SECURE_SOCKETS_ERR_BASE</ref> + 10 )</initializer>
        <briefdescription>
<para>Socket not listening. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets_error.h" bodystart="84" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets_error.h" line="84" />
      </memberdef>
      <memberdef id="group__group__secure__sockets__results_1gac5f5fb81bfb98a38b7b36981f1be2ac7" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_SECURE_SOCKETS_TIMEOUT</name>
        <initializer>( <ref kindref="member" refid="group__group__secure__sockets__results_1ga47a0ff45a7680dc488de94c559f1cb31">CY_RSLT_SECURE_SOCKETS_ERR_BASE</ref> + 11 )</initializer>
        <briefdescription>
<para>Operation timed out. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets_error.h" bodystart="86" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets_error.h" line="86" />
      </memberdef>
      <memberdef id="group__group__secure__sockets__results_1ga3f5e9c34eb80c82cd3d3391061a0f203" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_SECURE_SOCKETS_IN_PROGRESS</name>
        <initializer>( <ref kindref="member" refid="group__group__secure__sockets__results_1ga47a0ff45a7680dc488de94c559f1cb31">CY_RSLT_SECURE_SOCKETS_ERR_BASE</ref> + 12 )</initializer>
        <briefdescription>
<para>Operation in progress. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets_error.h" bodystart="88" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets_error.h" line="88" />
      </memberdef>
      <memberdef id="group__group__secure__sockets__results_1ga630d23c9249b20e544d6967bb7fad02b" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_SECURE_SOCKETS_HOST_NOT_FOUND</name>
        <initializer>( <ref kindref="member" refid="group__group__secure__sockets__results_1ga47a0ff45a7680dc488de94c559f1cb31">CY_RSLT_SECURE_SOCKETS_ERR_BASE</ref> + 13 )</initializer>
        <briefdescription>
<para>Host not found. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets_error.h" bodystart="90" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets_error.h" line="90" />
      </memberdef>
      <memberdef id="group__group__secure__sockets__results_1gaa1e29599b933b3e95c49b4a680832f67" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_SECURE_SOCKETS_TLS_ERROR</name>
        <initializer>( <ref kindref="member" refid="group__group__secure__sockets__results_1ga47a0ff45a7680dc488de94c559f1cb31">CY_RSLT_SECURE_SOCKETS_ERR_BASE</ref> + 14 )</initializer>
        <briefdescription>
<para>Generic TLS error. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets_error.h" bodystart="92" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets_error.h" line="92" />
      </memberdef>
      <memberdef id="group__group__secure__sockets__results_1ga8ab175e739acbc1da3458c6f2c9980b4" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_SECURE_SOCKETS_INVALID_SOCKET</name>
        <initializer>( <ref kindref="member" refid="group__group__secure__sockets__results_1ga47a0ff45a7680dc488de94c559f1cb31">CY_RSLT_SECURE_SOCKETS_ERR_BASE</ref> + 15 )</initializer>
        <briefdescription>
<para>Invalid socket. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets_error.h" bodystart="94" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets_error.h" line="94" />
      </memberdef>
      <memberdef id="group__group__secure__sockets__results_1ga1881006ccc90612cb186301df9cfd847" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_SECURE_SOCKETS_NOT_SUPPORTED</name>
        <initializer>( <ref kindref="member" refid="group__group__secure__sockets__results_1ga47a0ff45a7680dc488de94c559f1cb31">CY_RSLT_SECURE_SOCKETS_ERR_BASE</ref> + 16 )</initializer>
        <briefdescription>
<para>API not supported. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets_error.h" bodystart="96" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets_error.h" line="96" />
      </memberdef>
      <memberdef id="group__group__secure__sockets__results_1gaa6993d25f240ea318b81be9c1dbb1262" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_SECURE_SOCKETS_NOT_INITIALIZED</name>
        <initializer>( <ref kindref="member" refid="group__group__secure__sockets__results_1ga47a0ff45a7680dc488de94c559f1cb31">CY_RSLT_SECURE_SOCKETS_ERR_BASE</ref> + 17 )</initializer>
        <briefdescription>
<para>Library not initialized. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets_error.h" bodystart="98" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets_error.h" line="98" />
      </memberdef>
      <memberdef id="group__group__secure__sockets__results_1ga124cf86b625393915202c81b9873fcde" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_SECURE_SOCKETS_NETIF_DOES_NOT_EXIST</name>
        <initializer>( <ref kindref="member" refid="group__group__secure__sockets__results_1ga47a0ff45a7680dc488de94c559f1cb31">CY_RSLT_SECURE_SOCKETS_ERR_BASE</ref> + 18 )</initializer>
        <briefdescription>
<para>Network interface does not exist. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets_error.h" bodystart="100" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets_error.h" line="100" />
      </memberdef>
      <memberdef id="group__group__secure__sockets__results_1gafe365734cca2ee1ad94cda64aec31d3f" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_SECURE_SOCKETS_ARP_TIMEOUT</name>
        <initializer>( <ref kindref="member" refid="group__group__secure__sockets__results_1ga47a0ff45a7680dc488de94c559f1cb31">CY_RSLT_SECURE_SOCKETS_ERR_BASE</ref> + 19 )</initializer>
        <briefdescription>
<para>ARP resolution timed out. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets_error.h" bodystart="102" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets_error.h" line="102" />
      </memberdef>
      <memberdef id="group__group__secure__sockets__results_1gabb01e3617eec4fc087ea5b5be3f6b5ad" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_SECURE_SOCKETS_BAD_NW_STACK_CONFIGURATION</name>
        <initializer>( <ref kindref="member" refid="group__group__secure__sockets__results_1ga47a0ff45a7680dc488de94c559f1cb31">CY_RSLT_SECURE_SOCKETS_ERR_BASE</ref> + 20 )</initializer>
        <briefdescription>
<para>Both IPv4 and IPv6 network stack configuration are disabled. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets_error.h" bodystart="104" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets_error.h" line="104" />
      </memberdef>
      <memberdef id="group__group__secure__sockets__results_1ga573fe397cab9144679d5738ac76cb2cd" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_SECURE_SOCKETS_ADDRESS_IN_USE</name>
        <initializer>( <ref kindref="member" refid="group__group__secure__sockets__results_1ga47a0ff45a7680dc488de94c559f1cb31">CY_RSLT_SECURE_SOCKETS_ERR_BASE</ref> + 21 )</initializer>
        <briefdescription>
<para>Socket address already in use. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets_error.h" bodystart="106" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets_error.h" line="106" />
      </memberdef>
      <memberdef id="group__group__secure__sockets__results_1gaaea93bdacfc849de370d75e3816de6cf" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_SECURE_SOCKETS_MAX_MEMBERSHIP_ERROR</name>
        <initializer>( <ref kindref="member" refid="group__group__secure__sockets__results_1ga47a0ff45a7680dc488de94c559f1cb31">CY_RSLT_SECURE_SOCKETS_ERR_BASE</ref> + 22 )</initializer>
        <briefdescription>
<para>Maximum number of multicast addresses are already created. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets_error.h" bodystart="108" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets_error.h" line="108" />
      </memberdef>
      <memberdef id="group__group__secure__sockets__results_1gaa73d6c7fb948ef5025102cb326826086" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_SECURE_SOCKETS_MULTICAST_ADDRESS_NOT_REGISTERED</name>
        <initializer>( <ref kindref="member" refid="group__group__secure__sockets__results_1ga47a0ff45a7680dc488de94c559f1cb31">CY_RSLT_SECURE_SOCKETS_ERR_BASE</ref> + 23 )</initializer>
        <briefdescription>
<para>Multicast address not registered. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets_error.h" bodystart="110" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets_error.h" line="110" />
      </memberdef>
      <memberdef id="group__group__secure__sockets__results_1ga4c4dd80221b242250b7223b5697c2234" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_SECURE_SOCKETS_ERROR_ROUTING</name>
        <initializer>( <ref kindref="member" refid="group__group__secure__sockets__results_1ga47a0ff45a7680dc488de94c559f1cb31">CY_RSLT_SECURE_SOCKETS_ERR_BASE</ref> + 24 )</initializer>
        <briefdescription>
<para>Routing problem. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets_error.h" bodystart="112" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets_error.h" line="112" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Defines the Secure Sockets Interface Error codes. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/*</highlight></codeline>
<codeline lineno="2"><highlight class="comment"><sp />*<sp />$<sp />Copyright<sp />Cypress<sp />Semiconductor<sp />Apache2<sp />$</highlight></codeline>
<codeline lineno="3"><highlight class="comment"><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="4"><highlight class="normal" /></codeline>
<codeline lineno="10"><highlight class="preprocessor">#ifndef<sp />INCLUDED_CY_SECURE_SOCKETS_ERROR_H_</highlight><highlight class="normal" /></codeline>
<codeline lineno="11"><highlight class="normal" /><highlight class="preprocessor">#define<sp />INCLUDED_CY_SECURE_SOCKETS_ERROR_H_</highlight><highlight class="normal" /></codeline>
<codeline lineno="12"><highlight class="normal" /></codeline>
<codeline lineno="13"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />__cplusplus</highlight><highlight class="normal" /></codeline>
<codeline lineno="14"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="15"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="16"><highlight class="normal" /></codeline>
<codeline lineno="17"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_result.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="18"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_result_mw.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="19"><highlight class="normal" /></codeline>
<codeline lineno="20"><highlight class="normal" /></codeline>
<codeline lineno="57"><highlight class="preprocessor">#define<sp />CY_RSLT_SECURE_SOCKETS_ERR_BASE<sp /><sp /><sp /><sp />CY_RSLT_CREATE(CY_RSLT_TYPE_ERROR,<sp />CY_RSLT_MODULE_SECURE_SOCKETS_BASE,<sp />0)</highlight><highlight class="normal" /></codeline>
<codeline lineno="58"><highlight class="normal" /></codeline>
<codeline lineno="60"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_SECURE_SOCKETS_TCPIP_ERROR<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(<sp />CY_RSLT_SECURE_SOCKETS_ERR_BASE<sp />+<sp />1<sp />)</highlight><highlight class="normal" /></codeline>
<codeline lineno="61"><highlight class="normal" /></codeline>
<codeline lineno="62"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_SECURE_SOCKETS_BADARG<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(<sp />CY_RSLT_SECURE_SOCKETS_ERR_BASE<sp />+<sp />2<sp />)</highlight><highlight class="normal" /></codeline>
<codeline lineno="63"><highlight class="normal" /></codeline>
<codeline lineno="67"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_SECURE_SOCKETS_NOMEM<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(<sp />CY_RSLT_SECURE_SOCKETS_ERR_BASE<sp />+<sp />3<sp />)</highlight><highlight class="normal" /></codeline>
<codeline lineno="68"><highlight class="normal" /></codeline>
<codeline lineno="69"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_SECURE_SOCKETS_NOT_CONNECTED<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(<sp />CY_RSLT_SECURE_SOCKETS_ERR_BASE<sp />+<sp />4<sp />)</highlight><highlight class="normal" /></codeline>
<codeline lineno="70"><highlight class="normal" /></codeline>
<codeline lineno="71"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_SECURE_SOCKETS_CLOSED<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(<sp />CY_RSLT_SECURE_SOCKETS_ERR_BASE<sp />+<sp />5<sp />)</highlight><highlight class="normal" /></codeline>
<codeline lineno="72"><highlight class="normal" /></codeline>
<codeline lineno="73"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_SECURE_SOCKETS_ALREADY_CONNECTED<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(<sp />CY_RSLT_SECURE_SOCKETS_ERR_BASE<sp />+<sp />6<sp />)</highlight><highlight class="normal" /></codeline>
<codeline lineno="74"><highlight class="normal" /></codeline>
<codeline lineno="75"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_SECURE_SOCKETS_PROTOCOL_NOT_SUPPORTED<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(<sp />CY_RSLT_SECURE_SOCKETS_ERR_BASE<sp />+<sp />7<sp />)</highlight><highlight class="normal" /></codeline>
<codeline lineno="76"><highlight class="normal" /></codeline>
<codeline lineno="80"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_SECURE_SOCKETS_OPTION_NOT_SUPPORTED<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(<sp />CY_RSLT_SECURE_SOCKETS_ERR_BASE<sp />+<sp />8<sp />)</highlight><highlight class="normal" /></codeline>
<codeline lineno="81"><highlight class="normal" /></codeline>
<codeline lineno="82"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_SECURE_SOCKETS_INVALID_OPTION<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(<sp />CY_RSLT_SECURE_SOCKETS_ERR_BASE<sp />+<sp />9<sp />)</highlight><highlight class="normal" /></codeline>
<codeline lineno="83"><highlight class="normal" /></codeline>
<codeline lineno="84"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_SECURE_SOCKETS_NOT_LISTENING<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(<sp />CY_RSLT_SECURE_SOCKETS_ERR_BASE<sp />+<sp />10<sp />)</highlight><highlight class="normal" /></codeline>
<codeline lineno="85"><highlight class="normal" /></codeline>
<codeline lineno="86"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_SECURE_SOCKETS_TIMEOUT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(<sp />CY_RSLT_SECURE_SOCKETS_ERR_BASE<sp />+<sp />11<sp />)</highlight><highlight class="normal" /></codeline>
<codeline lineno="87"><highlight class="normal" /></codeline>
<codeline lineno="88"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_SECURE_SOCKETS_IN_PROGRESS<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(<sp />CY_RSLT_SECURE_SOCKETS_ERR_BASE<sp />+<sp />12<sp />)</highlight><highlight class="normal" /></codeline>
<codeline lineno="89"><highlight class="normal" /></codeline>
<codeline lineno="90"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_SECURE_SOCKETS_HOST_NOT_FOUND<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(<sp />CY_RSLT_SECURE_SOCKETS_ERR_BASE<sp />+<sp />13<sp />)</highlight><highlight class="normal" /></codeline>
<codeline lineno="91"><highlight class="normal" /></codeline>
<codeline lineno="92"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_SECURE_SOCKETS_TLS_ERROR<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(<sp />CY_RSLT_SECURE_SOCKETS_ERR_BASE<sp />+<sp />14<sp />)</highlight><highlight class="normal" /></codeline>
<codeline lineno="93"><highlight class="normal" /></codeline>
<codeline lineno="94"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_SECURE_SOCKETS_INVALID_SOCKET<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(<sp />CY_RSLT_SECURE_SOCKETS_ERR_BASE<sp />+<sp />15<sp />)</highlight><highlight class="normal" /></codeline>
<codeline lineno="95"><highlight class="normal" /></codeline>
<codeline lineno="96"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_SECURE_SOCKETS_NOT_SUPPORTED<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(<sp />CY_RSLT_SECURE_SOCKETS_ERR_BASE<sp />+<sp />16<sp />)</highlight><highlight class="normal" /></codeline>
<codeline lineno="97"><highlight class="normal" /></codeline>
<codeline lineno="98"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_SECURE_SOCKETS_NOT_INITIALIZED<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(<sp />CY_RSLT_SECURE_SOCKETS_ERR_BASE<sp />+<sp />17<sp />)</highlight><highlight class="normal" /></codeline>
<codeline lineno="99"><highlight class="normal" /></codeline>
<codeline lineno="100"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_SECURE_SOCKETS_NETIF_DOES_NOT_EXIST<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(<sp />CY_RSLT_SECURE_SOCKETS_ERR_BASE<sp />+<sp />18<sp />)</highlight><highlight class="normal" /></codeline>
<codeline lineno="101"><highlight class="normal" /></codeline>
<codeline lineno="102"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_SECURE_SOCKETS_ARP_TIMEOUT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(<sp />CY_RSLT_SECURE_SOCKETS_ERR_BASE<sp />+<sp />19<sp />)</highlight><highlight class="normal" /></codeline>
<codeline lineno="103"><highlight class="normal" /></codeline>
<codeline lineno="104"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_SECURE_SOCKETS_BAD_NW_STACK_CONFIGURATION<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(<sp />CY_RSLT_SECURE_SOCKETS_ERR_BASE<sp />+<sp />20<sp />)</highlight><highlight class="normal" /></codeline>
<codeline lineno="105"><highlight class="normal" /></codeline>
<codeline lineno="106"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_SECURE_SOCKETS_ADDRESS_IN_USE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(<sp />CY_RSLT_SECURE_SOCKETS_ERR_BASE<sp />+<sp />21<sp />)</highlight><highlight class="normal" /></codeline>
<codeline lineno="107"><highlight class="normal" /></codeline>
<codeline lineno="108"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_SECURE_SOCKETS_MAX_MEMBERSHIP_ERROR<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(<sp />CY_RSLT_SECURE_SOCKETS_ERR_BASE<sp />+<sp />22<sp />)</highlight><highlight class="normal" /></codeline>
<codeline lineno="109"><highlight class="normal" /></codeline>
<codeline lineno="110"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_SECURE_SOCKETS_MULTICAST_ADDRESS_NOT_REGISTERED<sp /><sp /><sp /><sp /><sp /><sp /><sp />(<sp />CY_RSLT_SECURE_SOCKETS_ERR_BASE<sp />+<sp />23<sp />)</highlight><highlight class="normal" /></codeline>
<codeline lineno="111"><highlight class="normal" /></codeline>
<codeline lineno="112"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_SECURE_SOCKETS_ERROR_ROUTING<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(<sp />CY_RSLT_SECURE_SOCKETS_ERR_BASE<sp />+<sp />24<sp />)</highlight><highlight class="normal" /></codeline>
<codeline lineno="113"><highlight class="normal" /></codeline>
<codeline lineno="114"><highlight class="preprocessor">#ifdef<sp />__cplusplus</highlight><highlight class="normal" /></codeline>
<codeline lineno="115"><highlight class="normal">}<sp /></highlight><highlight class="comment">/*extern<sp />"C"<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="116"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="117"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />ifndef<sp />INCLUDED_CY_SECURE_SOCKETS_ERROR_H_<sp />*/</highlight><highlight class="preprocessor" /></codeline>
    </programlisting>
    <location file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets_error.h" />
  </compounddef>
</doxygen>